Bug 1025718 (CVE-2013-4488)

Summary: CVE-2013-4488 libgadu: missing ssl certificate validation
Product: [Other] Security Response Reporter: Ratul Gupta <ratulg>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: debarshir, dominik, itamar, jrusnack
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130602,reported=20131101,source=oss-security,cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:P/A:N,fedora-all/libgadu=affected,rhel-7/libgadu=affected,cwe=CWE-295
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-03-10 12:25:20 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1025719, 1026505    
Bug Blocks: 1025720    

Description Ratul Gupta 2013-11-01 07:21:50 EDT
Libgadu, an open library for communicating using the protocol e-mail, was found to have missing the ssl certificate validation. The issue is that libgadu uses openSSL library for creating secure connections. A program using openSSL can perform SSL handshake by invoking the SSL_connect function. Some cetrificate validation errors are signaled through, the return values of the SSL_connect, while for the others errors SSL_connect returns OK but sets internal "verify result" flags. Application must call ssl_get_verify_result function to check if any such errors occurred.  This check seems to be missing in libgadu. And thus a man-in-the-middle attack is possible failing all the SSL protection.

Upstream suggested that it was a concious decision as libgadu is reverse-engineered implementation of a proprietary protocol, they had no control over the certificates used for SSL connections, so they would add a note to the documentation about this.

References:
http://seclists.org/oss-sec/2013/q4/202
https://bugzilla.novell.com/show_bug.cgi?id=848509
http://www.mail-archive.com/libgadu-devel@lists.ziew.org/msg01017.html
Comment 1 Ratul Gupta 2013-11-01 07:22:46 EDT
Created libgadu tracking bugs for this issue:

Affects: fedora-all [bug 1025719]
Comment 4 Fedora Update System 2013-12-27 21:02:55 EST
libgadu-1.12.0-0.2.rc1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-12-27 21:03:40 EST
libgadu-1.12.0-0.2.rc1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Dominik 'Rathann' Mierzejewski 2015-02-10 03:57:57 EST
Can this be closed?